import { ActiveRecord, RuntimeO2MField } from '@oinone/kunlun-engine';
import { DetailRelationSelectFieldWidget } from '../../abstract/DetailRelationSelectFieldWidget';
export declare class DetailO2MSelectFieldWidget extends DetailRelationSelectFieldWidget<ActiveRecord[], RuntimeO2MField> {
    loadMetadata(): void;
    fetchData(): Promise<unknown>;
    protected get currentValue(): any[];
    initialize(props: any): this;
}
